<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/OverloadResolver.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/TypeAnalysis/OverloadResolver.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="comment">// Copyright (C) 2005 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line">#ifndef Synopsis_TypeAnalysis_OverloadResolver_hh_</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">#define Synopsis_TypeAnalysis_OverloadResolver_hh_</span>
<a id="line9"></a><span class="lineno"> 9</span>
<a id="line10"></a><span class="lineno">10</span><span class="line">#include &lt;Synopsis/PTree.hh&gt;</span>
<a id="line11"></a><span class="lineno">11</span><span class="line">#include &lt;Synopsis/SymbolLookup.hh&gt;</span>
<a id="line12"></a><span class="lineno">12</span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis.html" title="namespace Synopsis">Synopsis</a></span>
<a id="line14"></a><span class="lineno">14</span><span class="line">{</span>
<a id="line15"></a><span class="lineno">15</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis/TypeAnalysis.html" title="namespace Synopsis::TypeAnalysis">TypeAnalysis</a></span>
<a id="line16"></a><span class="lineno">16</span><span class="line">{</span>
<a id="line17"></a><span class="lineno">17</span>
<a id="line18"></a><span class="lineno">18</span><span class="line"><span class="comment">//. Resolve a function call in the context of the given scope.</span></span>
<a id="line19"></a><span class="lineno">19</span><span class="line"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">SymbolLookup::Symbol const</a> *<a href="" title="function Synopsis::TypeAnalysis::resolve_funcall(const PTree::FuncallExpr*,const SymbolLookup::Scope*)">resolve_funcall</a>(<a href="../../../Scopes/Synopsis/PTree/FuncallExpr.html" title="class Synopsis::PTree::FuncallExpr">PTree::FuncallExpr const</a> *funcall,</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">					    <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">SymbolLookup::Scope const</a> *);</span>
<a id="line21"></a><span class="lineno">21</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">}</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">}</span>
<a id="line24"></a><span class="lineno">24</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">#endif</span>
<a id="line26"></a><span class="lineno">26</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:04 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
